<html>
	<head>
		<title></title>
		<link rel="stylesheet" href="{{ url_for('static', filename='css/bootstrap.min.css') }}">
		<script src="{{ url_for('static', filename='js/jquery.js') }}"></script>
		<script src="{{ url_for('static', filename='js/bootstrap.js') }}"></script>
		<style>
		body {
			padding-top: 65px;
		}
		</style>
	</head>
	<body>
		<nav class="navbar navbar-inverse navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<a class="navbar-brand" href="#">Support panel</a>
				</div>
				<div id="navbar" class="collapse navbar-collapse">
					<ul class="nav navbar-nav">
						<li><a href="/support_panel">All Tickets</a></li>
							<li><a href="/all_boards">All Boards</a></li>
							<li><a href="/logout">Exit</a></li>
					</ul>
				</div><!--/.nav-collapse -->
			</div>
		</nav>
		<style type="text/css">
	.list-group{
		height: 600px;
		max-height: 600px;
		margin-bottom: 10px;
		overflow:scroll;
		-webkit-overflow-scrolling: touch;
}
	.list-group-item:hover {
		background: #c0c0c0;
	} 
</style>
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<center>
				<h1>Support</h1>
			</center>
		</div>
	</div>
	<div class="row">
		<div class="panel-body col-md-3">
				<ul class="list-group">
						{% for e in tickets %}
							<li class="list-group-item" onclick="location.href='/support_panel?id={{e.id}}'" style="">
								<strong>{{e.title}}</strong><br>ticket id: {{e.id}}
							</li>
						{% endfor %}
				</ul>
		</div>
		{% if ticket %}
			<div class="col-md-9 panel panel-default" style="margin-top:15px;" id="main">
				<h2 style="display:inline;">Title:</h2><h4 style="display:inline;"><strong>	 {{ticket.title}}</strong></h4>
				<div class="alert alert-info" role="alert" style="margin-top:30px; margin-right:90px;">
					{{ticket.text}}
				</div>
				{% for e in ticket.comments %}
					{% if e.items()[0][0] == 'support' %}
						<div class="alert alert-success" role="alert" style="margin-top:30px; margin-left:90px;">
							<p style="white-space: pre;">{{ e.items()[0][1] }}</p>
						</div>
					{% else %}
						<div class="alert alert-info" role="alert" style="margin-top:30px; margin-right:90px;">
							<p style="white-space: pre;">{{ e.items()[0][1] }}</p>
						</div>
					{% endif %}
				{% endfor %}
				<div class="form-group" style="bottom: 0px; width:90%">
					<form action="/support_panel" method="post">
						<label for="comment">Comment:</label>
						<input type="hidden" value="{{ ticket.id }}" name="ticket_id">
						<textarea class="form-control" rows="5" id="comment" name="text"></textarea>
						<button type="submit" class="btn btn-primary" style="margin-top:20px;">Submit</button>
					</form>
				</div>
			</div>
		{% endif %}
</div>
</div>
</body>
</html>
